人力検索はてな
モバイル版を表示しています。PC版はこちら
i-mobile

NetscapeEnterpriseServer3.6x+Zolar5i+Oracle8.1.6の環境を作っています。
マニュアル通りobj.conf等の設定をしましたが、ウェブサーバ起動時に以下のメッセージが出て起動できません。
--
conf_init: Error running init function load-modules: dlopen of /opt/netscape/suitespot/nsapi/firstc.so failed (ld.so.1:ns-httpd: 重大なエラー: 再配置エラー: ファイル /opt/netscape/suitespot/nsapi/firstc.so: シンボル naed5ci: 参照されたシンボルがありません)
--
ldd /opt/netscape/suitespot/nsapi/firstc.so
で調べても、見つからないものはないようです。
どこが悪いのでしょうか?

●質問者: kmzc
●カテゴリ:ウェブ制作
✍キーワード:httpd LD Netscape いもの ウェブ
○ 状態 :終了
└ 回答数 : 3/3件

▽最新の回答へ

1 ● aki73ix
●40ポイント

http://www.isr.co.jp/products/webauth/manual/

えっと、それは、WebAuthを使用する設定になってるにもかかわらず、インストールしてないのではないでしょうか?

2. WebAuthインストールをご覧下さい

http://primeserver.fujitsu.com/primepower/partner/catalog/softwa...

◎質問者からの返答

WebAuthインストールに書かれていることは実施しました。(firstc.soとsecondc.soのコピー)


2 ● aki73ix
●40ポイント

http://mappa.mundi.net/pub/src/alkindi/Application_CD/oracle_exp...

すみません、2回目です

そのメッセージの意味は

naed5ciがns-httpdを実行した時にfirstc.soの中にないということなのですが

ランタイムのリンカの検索パスの中に問題があるのだと思います

makefileの中味の指定パスが 実際のフォルダ構成と異なっていないか確認してみてください

naed5ciは DES56-bit 暗号化アルゴリズムのライブラリ関係のようなので、古いライブラリとして、別途入れないといけないのかもしれません

使用する暗号が設定で変更できるようならば新しいものに変えると解決する可能性があります

◎質問者からの返答

なるほど、別途入れる必要があるのですね!

もうすこし他の方の意見も聞いてみようと思います。


3 ● nkik
●80ポイント

naed5ciが見つからないということなので、Oracle8.1.6のライブラリが足りないのではないでしょうか?

OracleClientパッチを確認の上、genclntshでライブラリを作り直すといいかもしれません。

◎質問者からの返答

先ほどの方と同じで、ライブラリ足りない、ということですね。

OracleのCD-ROMを漁ってみようとおもいます。

どうもありがとうございました。

関連質問


●質問をもっと探す●



0.人力検索はてなトップ
8.このページを友達に紹介
9.このページの先頭へ
対応機種一覧
お問い合わせ
ヘルプ/お知らせ
ログイン
無料ユーザー登録
はてなトップ